CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api GET /v1/rfis \
--query search=valueList RFIs.import requests
url = "https://sandbox.api.infinite.dev/v1/rfis"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.infinite.dev/v1/rfis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/rfis",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/rfis"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.infinite.dev/v1/rfis")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/rfis")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"caseId": "<string>",
"customerId": "<string>",
"customerName": "<string>",
"status": "DRAFT",
"publicStatus": "NEEDS_INFORMATION",
"requestedFields": [
{
"fieldPath": "<string>",
"displayName": "<string>",
"dataType": "<string>",
"required": true,
"validationPattern": "<string>",
"validationMessage": "<string>",
"allowedValues": [
"<string>"
],
"exampleValue": "<string>",
"uiTag": "<string>",
"infoBox": "<string>",
"options": [
"<string>"
],
"isMultiSelect": true,
"stepId": "<string>",
"dependsOn": {
"fieldPath": "<string>",
"value": true,
"hasValue": true
},
"minLength": 123,
"maxLength": 123,
"link": "<string>",
"position": 123,
"subject": "<string>",
"entityScope": "<string>",
"countryCode": "<string>",
"allowNoTinPlaceholder": true,
"sourcePackage": "<string>"
}
],
"requestedDocuments": [
{
"documentType": "IDENTITY",
"displayName": "<string>",
"required": true,
"acceptedFormats": [
"<string>"
],
"requiredSides": [
"<string>"
],
"maxSizeBytes": 123,
"infoBox": "<string>",
"stepId": "<string>",
"requirementId": "<string>",
"documentSubtype": "GOVERNMENT_ID_FRONT",
"position": 123,
"subject": "<string>",
"entityScope": "<string>",
"documentFieldPath": "<string>",
"minimumFileCount": 123,
"sourcePackage": "<string>",
"dependsOn": {
"fieldPath": "<string>",
"value": true,
"hasValue": true
}
}
],
"dueAt": "2023-11-07T05:31:56Z",
"openedAt": "2023-11-07T05:31:56Z",
"submittedAt": "2023-11-07T05:31:56Z",
"closedAt": "2023-11-07T05:31:56Z",
"instructions": "<string>"
}
]Rfis
List RFIs
GET
/
v1
/
rfis
CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api GET /v1/rfis \
--query search=valueList RFIs.import requests
url = "https://sandbox.api.infinite.dev/v1/rfis"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.infinite.dev/v1/rfis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/rfis",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/rfis"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.infinite.dev/v1/rfis")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/rfis")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"caseId": "<string>",
"customerId": "<string>",
"customerName": "<string>",
"status": "DRAFT",
"publicStatus": "NEEDS_INFORMATION",
"requestedFields": [
{
"fieldPath": "<string>",
"displayName": "<string>",
"dataType": "<string>",
"required": true,
"validationPattern": "<string>",
"validationMessage": "<string>",
"allowedValues": [
"<string>"
],
"exampleValue": "<string>",
"uiTag": "<string>",
"infoBox": "<string>",
"options": [
"<string>"
],
"isMultiSelect": true,
"stepId": "<string>",
"dependsOn": {
"fieldPath": "<string>",
"value": true,
"hasValue": true
},
"minLength": 123,
"maxLength": 123,
"link": "<string>",
"position": 123,
"subject": "<string>",
"entityScope": "<string>",
"countryCode": "<string>",
"allowNoTinPlaceholder": true,
"sourcePackage": "<string>"
}
],
"requestedDocuments": [
{
"documentType": "IDENTITY",
"displayName": "<string>",
"required": true,
"acceptedFormats": [
"<string>"
],
"requiredSides": [
"<string>"
],
"maxSizeBytes": 123,
"infoBox": "<string>",
"stepId": "<string>",
"requirementId": "<string>",
"documentSubtype": "GOVERNMENT_ID_FRONT",
"position": 123,
"subject": "<string>",
"entityScope": "<string>",
"documentFieldPath": "<string>",
"minimumFileCount": 123,
"sourcePackage": "<string>",
"dependsOn": {
"fieldPath": "<string>",
"value": true,
"hasValue": true
}
}
],
"dueAt": "2023-11-07T05:31:56Z",
"openedAt": "2023-11-07T05:31:56Z",
"submittedAt": "2023-11-07T05:31:56Z",
"closedAt": "2023-11-07T05:31:56Z",
"instructions": "<string>"
}
]Authorizations
API Key in Bearer format (e.g., Bearer sk_test_...)
Headers
API key
Query Parameters
Search RFIs by customer name or instructions
Response
Available options:
DRAFT, OPEN, SUBMITTED, UNDER_REVIEW, RESOLVED, CANCELLED Customer-facing case status for parent portal and integrator APIs.
Available options:
NEEDS_INFORMATION, IN_REVIEW, APPROVED, REJECTED, CANCELLED, COMPLETED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?